<?php

namespace Tesr\Test1\Seeders;

use DB;
use Illuminate\Database\Seeder;

class CustomermasterTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('customermasters')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'test1.customermaster.view',
                'name'      => 'View Customermaster',
            ],
            [
                'slug'      => 'test1.customermaster.create',
                'name'      => 'Create Customermaster',
            ],
            [
                'slug'      => 'test1.customermaster.edit',
                'name'      => 'Update Customermaster',
            ],
            [
                'slug'      => 'test1.customermaster.delete',
                'name'      => 'Delete Customermaster',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'test1.customermaster.verify',
                'name'      => 'Verify Customermaster',
            ],
            [
                'slug'      => 'test1.customermaster.approve',
                'name'      => 'Approve Customermaster',
            ],
            [
                'slug'      => 'test1.customermaster.publish',
                'name'      => 'Publish Customermaster',
            ],
            [
                'slug'      => 'test1.customermaster.unpublish',
                'name'      => 'Unpublish Customermaster',
            ],
            [
                'slug'      => 'test1.customermaster.cancel',
                'name'      => 'Cancel Customermaster',
            ],
            [
                'slug'      => 'test1.customermaster.archive',
                'name'      => 'Archive Customermaster',
            ],
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/test1/customermaster',
                'name'        => 'Customermaster',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/test1/customermaster',
                'name'        => 'Customermaster',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'customermaster',
                'name'        => 'Customermaster',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Test1',
                'module'    => 'Customermaster',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'test1.customermaster.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
