<?php

namespace Tesr\Test1\Repositories\Eloquent;

use Tesr\Test1\Interfaces\CustomermasterRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Tesr\Test1\Repositories\Eloquent\Presenters\CustomermasterItemPresenter;


class CustomermasterRepository extends BaseRepository implements CustomermasterRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('tesr.test1.customermaster.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('tesr.test1.customermaster.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return CustomermasterItemPresenter::class;
    }
}
