<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'tesr',

    /*
     * Package.
     */
    'package'   => 'test1',

    /*
     * Modules.
     */
    'modules'   => ['customermaster'],

    
    'customermaster'       => [
        'model' => [
            'model' => \Tesr\Test1\Models\Customermaster::class,
            'repository' => \Tesr\Test1\Repositories\Eloquent\CustomermasterRepository::class,
            'table' => 'customermasters',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['MobileNumber',  'CustomerName',  'ContryCode',  'Represtative',  'Email_ID',  'City',  'State',  'DealerName',  'ExecutiveName'],
            'translatables' => [],
            'upload_folder' => 'test1/customermaster',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Tesr',
            'package' => 'Test1',
            'module' => 'Customermaster',
        ],
    ],
];
