<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCustomermastersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: customermasters
         */
        Schema::create('customermasters', function ($table) {
            $table->increments('id');
            $table->string('MobileNumber', 10)->nullable();
            $table->string('CustomerName', 100)->nullable();
            $table->string('ContryCode', 4)->nullable();
            $table->string('Represtative', 100)->nullable();
            $table->string('Email_ID', 50)->nullable();
            $table->string('City', 50)->nullable();
            $table->string('State', 50)->nullable();
            $table->string('DealerName', 50)->nullable();
            $table->string('ExecutiveName', 50)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('customermasters');
    }
}
