Lavalite package that provides test1 management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `tesr/test1`.

    "tesr/test1": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Tesr\Test1\Providers\Test1ServiceProvider::class,

And also add it to alias

    'Test1'  => Tesr\Test1\Facades\Test1::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Tesr\\Test1\\Seeders\\Test1TableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Tesr\Test1\Providers\Test1ServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Tesr\Test1\Providers\Test1ServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Tesr\Test1\Providers\Test1ServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/test1/{modulename}

**User**

    http://path-to-route-folder/user/test1/{modulename}

**Public**

    http://path-to-route-folder/test1s


### API endpoints

**List**

    http://path-to-route-folder/api/user/test1/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/test1/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/test1/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/test1/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/test1/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/test1/{modulename}/{slug}
    METHOD: GET